encode country, gen(ccode)
tsset ccode year
tab year, gen(time)
tab ccode, gen(Iccode)

*Table 1
xtreg D.lgdp index_g_l  D.lcru_l D.lcru_l_sq  time* if D.loda!=., fe cluster(ccode)
xtreg D.loda index_g_l D.lcru_l D.lcru_l_sq time* ,fe cluster(ccode)
xtreg D.loda D.lgdp time* if index_g_l!=. , fe cluster(ccode)

xtivreg2 D.loda  time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe cluster(ccode) fwl(time*) ffirst endogtest(D.lgdp)
xtivreg2 D.loda  index_g_l D.lcru_l time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda  index_g_l D.lcru_l_sq time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda  D.lcru_l D.lcru_l_sq time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda   time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if drought!=1   ,fe cluster(ccode) fwl(time*) ffirst  


*Table 2
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq) if balanced_60!=1 &year>1961,fe cluster(ccode) fwl(time*) ffirst 
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if balanced_60!=1 &outlier!=1 &year>1961,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 ,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &balanced!=1  ,fe cluster(ccode) fwl(time*) ffirst  
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if outlier!=1 &balanced!=1 &year>1970 ,fe cluster(ccode) fwl(time*) ffirst  

*Table 3
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ),fe 
predict res , e
xtivreg2 D.lgdp index_g_l D.lcru_l D.lcru_l_sq    time* (D.loda =res ) , fe cluster(ccode) ffirst fwl(time*)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1,fe  
predict res if year>1961 &balanced_60!=1 , e
xtivreg2 D.lgdp index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1961 &balanced_60!=1, fe cluster(ccode) ffirst fwl(time*)
drop res

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 &outlier!=1 ,fe  
predict res if year>1961 &balanced_60!=1 &outlier!=1, e
xtivreg2 D.lgdp index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1961 &balanced_60!=1 &outlier!=1, fe cluster(ccode) ffirst  fwl(time*)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970,fe  
predict res if year>1970, e
xtivreg2 D.lgdp   index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970, fe cluster(ccode) ffirst  fwl(time*)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &balanced!=1,fe  
predict res if year>1970 &balanced!=1, e
xtivreg2 D.lgdp index_g_l D.lcru_l D.lcru_l_sq time* (D.loda = res) if year>1970 &balanced!=1, fe cluster(ccode) fwl(time*)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &outlier!=1 &balanced!=1 ,fe  
predict res if year>1970 &outlier!=1 &balanced!=1 , e
xtivreg2 D.lgdp index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970 &outlier!=1 &balanced!=1 , fe cluster(ccode) fwl(time*)
drop res



*Table 4
xtivreg2 D.loda   D.polity2  war time* (D.lgdp  =index_g_l D.lcru_l D.lcru_l_sq ), fe cluster(ccode)  ffirst 
predict res , e
xtivreg2 D.lgdp  D.polity2 war index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda  =res  ), fe cluster(ccode) fwl(time*)
drop res

xtivreg2 D.loda D.polity2 war time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1,fe cluster(ccode) ffirst 
predict res if year>1961 &balanced_60!=1 , e
xtivreg2 D.lgdp  D.polity2 war index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda  =res  ) if year>1961 &balanced_60!=1, fe cluster(ccode) fwl(time*)
drop res

xtivreg2 D.loda D.polity2 war  time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 &outlier!=1 ,fe cluster(ccode) ffirst 
predict res if year>1961 &balanced_60!=1 &outlier!=1, e
xtivreg2 D.lgdp  D.polity2 war  index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda  =res  ) if year>1961 &balanced_60!=1 &outlier!=1 , fe cluster(ccode) fwl(time*)
drop res

xtivreg2 D.loda D.polity2 war time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq) if year>1970 ,fe  cluster(ccode) 
predict res if year>1970  , e
xtivreg2 D.lgdp  D.polity2 war index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda  =res  ) if year>1970 , fe cluster(ccode) fwl(time*)
drop res

xtivreg2 D.loda D.polity2 war time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970  &balanced!=1 ,fe  cluster(ccode) ffirst
predict res if year>1970 &balanced!=1 , e
xtivreg2 D.lgdp D.polity2 war index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res L2.lgdp ) if year>1970 &balanced!=1 , fe cluster(ccode) fwl(time*)
drop res

xtivreg2 D.loda D.polity2 war time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &outlier!=1 &balanced!=1 ,fe  cluster(ccode) ffirst
predict res if year>1970 &outlier!=1 &balanced!=1 , e
xtivreg2 D.lgdp   D.polity2 war index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970 &outlier!=1 &balanced!=1 , fe cluster(ccode) fwl(time*)


*Table 5. Investment Response
drop res
xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe  
predict res  , e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res )  , fe cluster(ccode) ffirst fwl(time*)
drop res

xtivreg2 D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 ,fe  
predict res if year>1961 &balanced_60!=1 , e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1961 &balanced_60!=1 , fe cluster(ccode) ffirst fwl(time*)
drop res

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 &outlier!=1 ,fe  
predict res if year>1961 &balanced_60!=1 &outlier!=1, e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1961 &balanced_60!=1 &outlier!=1, fe cluster(ccode) ffirst fwl(time*)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970,fe  
predict res if year>1970, e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970, fe cluster(ccode) ffirst
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &balanced!=1,fe  
predict res if year>1970 &balanced!=1, e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970 &balanced!=1, fe cluster(ccode)
drop res 

xtivreg D.loda time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &outlier!=1 &balanced!=1 ,fe  
predict res if year>1970 &outlier!=1 &balanced!=1 , e
xtivreg2 F.linvest index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda =res ) if year>1970 &outlier!=1 &balanced!=1 , fe cluster(ccode)
drop res 



**Table 6. 

xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) ,fe  
predict res , e
xtabond2 D.lgdp L.lgdp D.loda_gdp Iccode* time* index_g_l D.lcru_l D.lcru_l_sq , cluster(ccode) gmm(L.lgdp ,lag(2 5)) iv(time* Iccode* res index_g_l D.lcru_l D.lcru_l_sq )
drop res*

xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 ,fe  
predict res if year>1961 &balanced_60!=1 , e
xtabond2 D.lgdp L.lgdp D.loda_gdp Iccode* time* index_g_l D.lcru_l D.lcru_l_sq  if year>1961 &balanced_60!=1 , cluster(ccode) gmm(L.lgdp , lag(2  4)) iv(index_g_l D.lcru_l D.lcru_l_sq  time* Iccode* res)
drop res

xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1961 &balanced_60!=1 &outlier!=1 ,fe  
predict res if year>1961 &balanced_60!=1 &outlier!=1, e
xtabond2 D.lgdp L.lgdp D.loda_gdp Iccode* time* index_g_l D.lcru_l D.lcru_l_sq  if year>1961 &balanced_60!=1 &outlier!=1 , cluster(ccode) gmm(L.lgdp , lag(2  4)) iv(index_g_l D.lcru_l D.lcru_l_sq  time* Iccode* res)
drop res*

xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970,fe  
predict res if year>1970, e
xtabond2 D.lgdp L.lgdp D.loda_gdp index_g_l D.lcru_l D.lcru_l_sq   Iccode* time* if year>1970, cluster(ccode) gmm(L.lgdp , lag(2  4)) iv(time* index_g_l D.lcru_l D.lcru_l_sq   Iccode* res)
drop res*


xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &balanced!=1,fe  
predict res if year>1970 &balanced!=1, e
xtabond2 D.lgdp L.lgdp D.loda_gdp Iccode* time* index_g_l D.lcru_l D.lcru_l_sq   if year>1970 &balanced!=1, cluster(ccode) gmm(L.lgdp , lag(2  4)) iv(index_g_l D.lcru_l D.lcru_l_sq   time* Iccode* res)
drop res*

xtivreg D.loda_gdp time* (D.lgdp =index_g_l D.lcru_l D.lcru_l_sq ) if year>1970 &outlier!=1 &balanced!=1 ,fe  
predict res if year>1970 &outlier!=1 &balanced!=1 , e
xtabond2 D.lgdp L.lgdp loda_gdp Iccode*  time* index_g_l D.lcru_l D.lcru_l_sq   if year>1970 &balanced!=1 &outlier!=1, cluster(ccode) gmm(L2.lgdp , lag(2  4)) iv(time* index_g_l D.lcru_l D.lcru_l_sq  Iccode* res)
drop res*


*Table 7

gen res1 = D.loda+4.4*D.lgdp
gen res= loda+4.4*lgdp


xtivreg2 D.lgdp   index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda loda  =res1 res) , fe cluster(ccode)  
xtivreg2 D.lgdp   index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda loda DL.lgdp =res1 res L(2/3).lgdp) , fe cluster(ccode)  
xtivreg2 D.lgdp   DL(1).loda  index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda loda DL.lgdp =res1 res L(2/3).lgdp) , fe cluster(ccode)  
lincom D.loda+DL.loda 
xtivreg2 D.lgdp L(1/2)D.loda  index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda loda DL.lgdp =res1 res L(3/4).lgdp) , fe cluster(ccode)  
lincom D.loda+DL.loda+DL2.loda
xtivreg2 D.lgdp L(1/3)D.loda  index_g_l D.lcru_l D.lcru_l_sq  time* (D.loda loda DL.lgdp =res1 res L(3/4).lgdp) , fe cluster(ccode)  
lincom D.loda+DL.loda+DL2.loda+DL3.loda 
